Bug 1270153 - RHEL7.2:SAMBA:Install of all samba packages fails with dependency on samba-client-libs even after adding epoch version for samba packages
RHEL7.2:SAMBA:Install of all samba packages fails with dependency on samba-cl...
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: samba (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: rhs-smb@redhat.com
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-09 02:44 EDT by surabhi
Modified: 2015-11-19 07:55 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 07:55:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description surabhi 2015-10-09 02:44:51 EDT
Description of problem:
****************************************
On RHEL 7.2 , adding RHEL's ISO repo, Samba epoch repo, trying to install all samba packages fails to install samba as in RHEL7.2 there is additional samba package called samba-client-libs which rhgs doesn't have and while doing install if customer installs samba-client-libs or any other package here for instance sssd or ipa which pulls in samba-client-libs from rhel7.2 then the install will fail.

Dependency errors as follows:
*******************************************


--> Finished Dependency Resolution
Error: Package: samba-client-libs-4.2.3-7.el7.x86_64 (rhel-server)
           Requires: samba-common = 4.2.3-7.el7
           Available: samba-common-4.1.1-31.el7.x86_64 (rhel-7-server-rpms)
               samba-common = 4.1.1-31.el7
           Available: samba-common-4.1.1-33.el7_0.x86_64 (rhel-7-server-rpms)
               samba-common = 4.1.1-33.el7_0
           Available: samba-common-4.1.1-35.el7_0.x86_64 (rhel-7-server-rpms)
               samba-common = 4.1.1-35.el7_0
           Available: samba-common-4.1.1-37.el7_0.x86_64 (rhel-7-server-rpms)
               samba-common = 4.1.1-37.el7_0
           Available: samba-common-4.1.1-38.el7_0.x86_64 (rhel-7-server-rpms)
               samba-common = 4.1.1-38.el7_0
           Available: samba-common-4.1.12-21.el7_1.i686 (rhel-7-server-rpms)
               samba-common = 4.1.12-21.el7_1
           Available: samba-common-4.1.12-23.el7_1.i686 (rhel-7-server-rpms)
               samba-common = 4.1.12-23.el7_1
           Available: samba-common-4.1.17-13.el7rhgs.x86_64 (rh-gluster-3-samba-for-rhel-7-server-rpms)
               samba-common = 4.1.17-13.el7rhgs
           Available: samba-common-4.1.17-14.el7rhgs.x86_64 (rh-gluster-3-samba-for-rhel-7-server-rpms)
               samba-common = 4.1.17-14.el7rhgs
           Available: samba-common-4.2.3-7.el7.noarch (rhel-server)
               samba-common = 4.2.3-7.el7
           Installing: 3:samba-common-4.1.17-14.el7rhgs.x86_64 (rhgs-samba)
               samba-common = 3:4.1.17-14.el7rhgs
Error: Package: samba-client-libs-4.2.3-7.el7.i686 (rhel-server)
           Requires: samba-common = 4.2.3-7.el7
           Available: samba-common-4.1.1-31.el7.x86_64 (rhel-7-server-rpms)
               samba-common = 4.1.1-31.el7
           Available: samba-common-4.1.1-33.el7_0.x86_64 (rhel-7-server-rpms)
               samba-common = 4.1.1-33.el7_0
           Available: samba-common-4.1.1-35.el7_0.x86_64 (rhel-7-server-rpms)
               samba-common = 4.1.1-35.el7_0
           Available: samba-common-4.1.1-37.el7_0.x86_64 (rhel-7-server-rpms)
               samba-common = 4.1.1-37.el7_0
           Available: samba-common-4.1.1-38.el7_0.x86_64 (rhel-7-server-rpms)
               samba-common = 4.1.1-38.el7_0
           Available: samba-common-4.1.12-21.el7_1.i686 (rhel-7-server-rpms)
               samba-common = 4.1.12-21.el7_1
           Available: samba-common-4.1.12-23.el7_1.i686 (rhel-7-server-rpms)
               samba-common = 4.1.12-23.el7_1
           Available: samba-common-4.1.17-13.el7rhgs.x86_64 (rh-gluster-3-samba-for-rhel-7-server-rpms)
               samba-common = 4.1.17-13.el7rhgs
           Available: samba-common-4.1.17-14.el7rhgs.x86_64 (rh-gluster-3-samba-for-rhel-7-server-rpms)
               samba-common = 4.1.17-14.el7rhgs
           Available: samba-common-4.2.3-7.el7.noarch (rhel-server)
               samba-common = 4.2.3-7.el7
           Installing: 3:samba-common-4.1.17-14.el7rhgs.x86_64 (rhgs-samba)
               samba-common = 3:4.1.17-14.el7rhgs



*************************************************************

The packages that requires samba-client-libs:

repoquery --whatrequires samba-client-libs
evolution-mapi-0:3.12.10-3.el7.i686
evolution-mapi-0:3.12.10-3.el7.x86_64
ipa-server-0:3.3.3-28.el7.x86_64
ipa-server-0:3.3.3-28.el7_0.1.x86_64
ipa-server-0:3.3.3-28.el7_0.3.x86_64
ipa-server-0:4.1.0-18.el7.x86_64
ipa-server-0:4.1.0-18.el7_1.3.x86_64
ipa-server-0:4.1.0-18.el7_1.4.x86_64
ipa-server-0:4.2.0-12.el7.x86_64
ipa-server-trust-ad-0:3.3.3-28.el7.x86_64
ipa-server-trust-ad-0:3.3.3-28.el7_0.1.x86_64
ipa-server-trust-ad-0:3.3.3-28.el7_0.3.x86_64
ipa-server-trust-ad-0:4.1.0-18.el7.x86_64
ipa-server-trust-ad-0:4.1.0-18.el7_1.3.x86_64
ipa-server-trust-ad-0:4.1.0-18.el7_1.4.x86_64
ipa-server-trust-ad-0:4.2.0-12.el7.x86_64
libsmbclient-0:4.1.1-31.el7.i686
libsmbclient-0:4.1.1-31.el7.x86_64
libsmbclient-0:4.1.1-33.el7_0.i686
libsmbclient-0:4.1.1-33.el7_0.x86_64
libsmbclient-0:4.1.1-35.el7_0.i686
libsmbclient-0:4.1.1-35.el7_0.x86_64
libsmbclient-0:4.1.1-37.el7_0.i686
libsmbclient-0:4.1.1-37.el7_0.x86_64
libsmbclient-0:4.1.1-38.el7_0.i686
libsmbclient-0:4.1.1-38.el7_0.x86_64
libsmbclient-0:4.1.12-21.el7_1.i686
libsmbclient-0:4.1.12-21.el7_1.x86_64
libsmbclient-0:4.1.12-23.el7_1.i686
libsmbclient-0:4.1.12-23.el7_1.x86_64
libsmbclient-0:4.1.17-13.el7rhgs.x86_64
libsmbclient-0:4.1.17-14.el7rhgs.x86_64
libsmbclient-0:4.2.3-7.el7.i686
libsmbclient-0:4.2.3-7.el7.x86_64
libsmbclient-3:4.1.17-14.el7rhgs.x86_64
libwbclient-0:4.2.3-7.el7.i686
libwbclient-0:4.2.3-7.el7.x86_64
openchange-0:2.0-9.el7.i686
openchange-0:2.0-9.el7.x86_64
openchange-client-0:2.0-9.el7.x86_64
samba-0:4.1.1-31.el7.x86_64
samba-0:4.1.1-33.el7_0.x86_64
samba-0:4.1.1-35.el7_0.x86_64
samba-0:4.1.1-37.el7_0.x86_64
samba-0:4.1.1-38.el7_0.x86_64
samba-0:4.1.12-21.el7_1.x86_64
samba-0:4.1.12-23.el7_1.x86_64
samba-0:4.1.17-13.el7rhgs.x86_64
samba-0:4.1.17-14.el7rhgs.x86_64
samba-0:4.2.3-7.el7.x86_64
samba-3:4.1.17-14.el7rhgs.x86_64
samba-client-0:4.1.1-31.el7.x86_64
samba-client-0:4.1.1-33.el7_0.x86_64
samba-client-0:4.1.1-35.el7_0.x86_64
samba-client-0:4.1.1-37.el7_0.x86_64
samba-client-0:4.1.1-38.el7_0.x86_64
samba-client-0:4.1.12-21.el7_1.x86_64
samba-client-0:4.1.12-23.el7_1.x86_64
samba-client-0:4.1.17-13.el7rhgs.x86_64
samba-client-0:4.1.17-14.el7rhgs.x86_64
samba-client-0:4.2.3-7.el7.x86_64
samba-client-3:4.1.17-14.el7rhgs.x86_64
samba-common-0:4.1.1-31.el7.x86_64
samba-common-0:4.1.1-33.el7_0.x86_64
samba-common-0:4.1.1-35.el7_0.x86_64
samba-common-0:4.1.1-37.el7_0.x86_64
samba-common-0:4.1.1-38.el7_0.x86_64
samba-common-0:4.1.12-21.el7_1.i686
samba-common-0:4.1.12-21.el7_1.x86_64
samba-common-0:4.1.12-23.el7_1.i686
samba-common-0:4.1.12-23.el7_1.x86_64
samba-common-0:4.1.17-13.el7rhgs.x86_64
samba-common-0:4.1.17-14.el7rhgs.x86_64
samba-common-3:4.1.17-14.el7rhgs.x86_64
samba-common-libs-0:4.2.3-7.el7.x86_64
samba-common-tools-0:4.2.3-7.el7.x86_64
samba-devel-0:4.1.17-13.el7rhgs.x86_64
samba-devel-0:4.1.17-14.el7rhgs.x86_64
samba-devel-0:4.2.3-7.el7.i686
samba-devel-0:4.2.3-7.el7.x86_64
samba-devel-3:4.1.17-14.el7rhgs.x86_64
samba-libs-0:4.2.3-7.el7.i686
samba-libs-0:4.2.3-7.el7.x86_64
samba-python-0:4.1.1-31.el7.x86_64
samba-python-0:4.1.1-33.el7_0.x86_64
samba-python-0:4.1.1-35.el7_0.x86_64
samba-python-0:4.1.1-37.el7_0.x86_64
samba-python-0:4.1.1-38.el7_0.x86_64
samba-python-0:4.1.12-21.el7_1.x86_64
samba-python-0:4.1.12-23.el7_1.x86_64
samba-python-0:4.1.17-13.el7rhgs.x86_64
samba-python-0:4.1.17-14.el7rhgs.x86_64
samba-python-0:4.2.3-7.el7.x86_64
samba-python-3:4.1.17-14.el7rhgs.x86_64
samba-test-0:4.1.17-13.el7rhgs.x86_64
samba-test-0:4.1.17-14.el7rhgs.x86_64
samba-test-0:4.2.3-7.el7.x86_64
samba-test-3:4.1.17-14.el7rhgs.x86_64
samba-test-libs-0:4.1.17-13.el7rhgs.x86_64
samba-test-libs-0:4.1.17-14.el7rhgs.x86_64
samba-test-libs-0:4.2.3-7.el7.i686
samba-test-libs-0:4.2.3-7.el7.x86_64
samba-test-libs-3:4.1.17-14.el7rhgs.x86_64
samba-vfs-glusterfs-0:4.1.17-13.el7rhgs.x86_64
samba-vfs-glusterfs-0:4.1.17-14.el7rhgs.x86_64
samba-vfs-glusterfs-0:4.2.3-7.el7.x86_64
samba-vfs-glusterfs-3:4.1.17-14.el7rhgs.x86_64
samba-winbind-0:4.1.1-31.el7.x86_64
samba-winbind-0:4.1.1-33.el7_0.x86_64
samba-winbind-0:4.1.1-35.el7_0.x86_64
samba-winbind-0:4.1.1-37.el7_0.x86_64
samba-winbind-0:4.1.1-38.el7_0.x86_64
samba-winbind-0:4.1.12-21.el7_1.x86_64
samba-winbind-0:4.1.12-23.el7_1.x86_64
samba-winbind-0:4.1.17-13.el7rhgs.x86_64
samba-winbind-0:4.1.17-14.el7rhgs.x86_64
samba-winbind-0:4.2.3-7.el7.x86_64
samba-winbind-3:4.1.17-14.el7rhgs.x86_64
samba-winbind-clients-0:4.1.12-21.el7_1.x86_64
samba-winbind-clients-0:4.1.12-23.el7_1.x86_64
samba-winbind-clients-0:4.1.17-13.el7rhgs.x86_64
samba-winbind-clients-0:4.1.17-14.el7rhgs.x86_64
samba-winbind-clients-0:4.2.3-7.el7.x86_64
samba-winbind-clients-3:4.1.17-14.el7rhgs.x86_64
samba-winbind-modules-0:4.1.1-31.el7.i686
samba-winbind-modules-0:4.1.1-31.el7.x86_64
samba-winbind-modules-0:4.1.1-33.el7_0.i686
samba-winbind-modules-0:4.1.1-33.el7_0.x86_64
samba-winbind-modules-0:4.1.1-35.el7_0.i686
samba-winbind-modules-0:4.1.1-35.el7_0.x86_64
samba-winbind-modules-0:4.1.1-37.el7_0.i686
samba-winbind-modules-0:4.1.1-37.el7_0.x86_64
samba-winbind-modules-0:4.1.1-38.el7_0.i686
samba-winbind-modules-0:4.1.1-38.el7_0.x86_64
samba-winbind-modules-0:4.1.12-21.el7_1.i686
samba-winbind-modules-0:4.1.12-21.el7_1.x86_64
samba-winbind-modules-0:4.1.12-23.el7_1.i686
samba-winbind-modules-0:4.1.12-23.el7_1.x86_64
samba-winbind-modules-0:4.1.17-13.el7rhgs.x86_64
samba-winbind-modules-0:4.1.17-14.el7rhgs.x86_64
samba-winbind-modules-0:4.2.3-7.el7.i686
samba-winbind-modules-0:4.2.3-7.el7.x86_64
samba-winbind-modules-3:4.1.17-14.el7rhgs.x86_64
sssd-ad-0:1.11.2-65.el7.x86_64
sssd-ad-0:1.11.2-68.el7_0.5.x86_64
sssd-ad-0:1.11.2-68.el7_0.6.x86_64
sssd-ad-0:1.12.2-58.el7.x86_64
sssd-ad-0:1.12.2-58.el7_1.6.x86_64
sssd-ad-0:1.12.2-58.el7_1.14.x86_64
sssd-ad-0:1.12.2-58.el7_1.17.x86_64
sssd-ad-0:1.13.0-39.el7.x86_64
sssd-common-pac-0:1.11.2-65.el7.x86_64
sssd-common-pac-0:1.11.2-68.el7_0.5.x86_64
sssd-common-pac-0:1.11.2-68.el7_0.6.x86_64
sssd-common-pac-0:1.12.2-58.el7.x86_64
sssd-common-pac-0:1.12.2-58.el7_1.6.x86_64
sssd-common-pac-0:1.12.2-58.el7_1.14.x86_64
sssd-common-pac-0:1.12.2-58.el7_1.17.x86_64
sssd-common-pac-0:1.13.0-39.el7.x86_64
sssd-ipa-0:1.11.2-65.el7.x86_64
sssd-ipa-0:1.11.2-68.el7_0.5.x86_64
sssd-ipa-0:1.11.2-68.el7_0.6.x86_64
sssd-ipa-0:1.12.2-58.el7.x86_64
sssd-ipa-0:1.12.2-58.el7_1.6.x86_64
sssd-ipa-0:1.12.2-58.el7_1.14.x86_64
sssd-ipa-0:1.12.2-58.el7_1.17.x86_64
sssd-ipa-0:1.13.0-39.el7.x86_64


Version-Release number of selected component (if applicable):
Epoch -samba with RHEL7.2

How reproducible:
When ssd/ipa is installed , or install samba*

Steps to Reproduce:
1.Install rhel7.2
2.Subscribe to live , yum update
3.Add rhgs epoch samba repo, rhel iso repo
4. Yum install samba* , or install ssd/ipa package 


Actual results:
The install fails for samba 

Expected results:
The samba install should not fail.

Additional info:
Need to check with ipa team.
Comment 2 surabhi 2015-10-09 03:35:48 EDT
repoquery --whatrequires sssd
ipa-client-0:3.3.3-28.el7.x86_64
ipa-client-0:3.3.3-28.el7_0.1.x86_64
ipa-client-0:3.3.3-28.el7_0.3.x86_64
ipa-client-0:4.1.0-18.el7.x86_64
ipa-client-0:4.1.0-18.el7_1.3.x86_64
ipa-client-0:4.1.0-18.el7_1.4.x86_64
ipa-client-0:4.2.0-12.el7.x86_64
ipsilon-infosssd-0:1.0.0-11.el7.noarch
[root@localhost yum.repos.d]# repoquery --whatrequires ipa-client
ipa-admintools-0:3.3.3-28.el7.x86_64
ipa-admintools-0:3.3.3-28.el7_0.1.x86_64
ipa-admintools-0:3.3.3-28.el7_0.3.x86_64
ipa-admintools-0:4.1.0-18.el7.x86_64
ipa-admintools-0:4.1.0-18.el7_1.3.x86_64
ipa-admintools-0:4.1.0-18.el7_1.4.x86_64
ipa-admintools-0:4.2.0-12.el7.x86_64
ipa-server-0:3.3.3-28.el7.x86_64
ipa-server-0:3.3.3-28.el7_0.1.x86_64
ipa-server-0:3.3.3-28.el7_0.3.x86_64
ipa-server-0:4.1.0-18.el7.x86_64
ipa-server-0:4.1.0-18.el7_1.3.x86_64
ipa-server-0:4.1.0-18.el7_1.4.x86_64
ipa-server-0:4.2.0-12.el7.x86_64
ipsilon-tools-ipa-0:1.0.0-11.el7.noarch
[root@localhost yum.repos.d]# repoquery --whatrequires sssd-ad
sssd-0:1.11.2-65.el7.x86_64
sssd-0:1.11.2-68.el7_0.5.x86_64
sssd-0:1.11.2-68.el7_0.6.x86_64
sssd-0:1.12.2-58.el7.x86_64
sssd-0:1.12.2-58.el7_1.6.x86_64
sssd-0:1.12.2-58.el7_1.14.x86_64
sssd-0:1.12.2-58.el7_1.17.x86_64
sssd-0:1.13.0-39.el7.x86_64
Comment 4 surabhi 2015-11-13 06:07:41 EST
The dependency on samba-client libs is resolved and now with samba-4.2.4 there is no conflict found in samba packages an dthe upgrade works fine.
Marking the BZ verified.

samba-4.2.4-6.el7rhgs.x86_64
Comment 6 errata-xmlrpc 2015-11-19 07:55:55 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-2467.html

Note You need to log in before you can comment on or make changes to this bug.